DROP TABLE CRST_HR_LOCATIONS_ALL;

CREATE TABLE CRST_HR_LOCATIONS_ALL
(
  LOCATION_ID                NUMBER(15)         NOT NULL,
  LOCATION_CODE              VARCHAR2(60 BYTE),
  BUSINESS_GROUP_ID          NUMBER(15),
  DESCRIPTION                VARCHAR2(240 BYTE),
  SHIP_TO_LOCATION_ID        NUMBER(15),
  SHIP_TO_SITE_FLAG          VARCHAR2(30 BYTE),
  RECEIVING_SITE_FLAG        VARCHAR2(30 BYTE),
  BILL_TO_SITE_FLAG          VARCHAR2(30 BYTE),
  IN_ORGANIZATION_FLAG       VARCHAR2(30 BYTE),
  OFFICE_SITE_FLAG           VARCHAR2(30 BYTE),
  DESIGNATED_RECEIVER_ID     NUMBER(15),
  INVENTORY_ORGANIZATION_ID  NUMBER(15),
  TAX_NAME                   VARCHAR2(15 BYTE),
  INACTIVE_DATE              DATE,
  STYLE                      VARCHAR2(7 BYTE),
  ADDRESS_LINE_1             VARCHAR2(240 BYTE),
  ADDRESS_LINE_2             VARCHAR2(240 BYTE),
  ADDRESS_LINE_3             VARCHAR2(240 BYTE),
  TOWN_OR_CITY               VARCHAR2(30 BYTE),
  COUNTRY                    VARCHAR2(60 BYTE),
  POSTAL_CODE                VARCHAR2(30 BYTE),
  REGION_1                   VARCHAR2(120 BYTE),
  REGION_2                   VARCHAR2(120 BYTE),
  REGION_3                   VARCHAR2(120 BYTE),
  TELEPHONE_NUMBER_1         VARCHAR2(60 BYTE),
  TELEPHONE_NUMBER_2         VARCHAR2(60 BYTE),
  TELEPHONE_NUMBER_3         VARCHAR2(60 BYTE),
  LOC_INFORMATION13          VARCHAR2(150 BYTE),
  LOC_INFORMATION14          VARCHAR2(150 BYTE),
  LOC_INFORMATION15          VARCHAR2(150 BYTE),
  LOC_INFORMATION16          VARCHAR2(150 BYTE),
  LOC_INFORMATION17          VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY         VARCHAR2(30 BYTE),
  ATTRIBUTE1                 VARCHAR2(150 BYTE),
  ATTRIBUTE2                 VARCHAR2(150 BYTE),
  ATTRIBUTE3                 VARCHAR2(150 BYTE),
  ATTRIBUTE4                 VARCHAR2(150 BYTE),
  ATTRIBUTE5                 VARCHAR2(150 BYTE),
  ATTRIBUTE6                 VARCHAR2(150 BYTE),
  ATTRIBUTE7                 VARCHAR2(150 BYTE),
  ATTRIBUTE8                 VARCHAR2(150 BYTE),
  ATTRIBUTE9                 VARCHAR2(150 BYTE),
  ATTRIBUTE10                VARCHAR2(150 BYTE),
  ATTRIBUTE11                VARCHAR2(150 BYTE),
  ATTRIBUTE12                VARCHAR2(150 BYTE),
  ATTRIBUTE13                VARCHAR2(150 BYTE),
  ATTRIBUTE14                VARCHAR2(150 BYTE),
  ATTRIBUTE15                VARCHAR2(150 BYTE),
  ATTRIBUTE16                VARCHAR2(150 BYTE),
  ATTRIBUTE17                VARCHAR2(150 BYTE),
  ATTRIBUTE18                VARCHAR2(150 BYTE),
  ATTRIBUTE19                VARCHAR2(150 BYTE),
  ATTRIBUTE20                VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY  VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20         VARCHAR2(150 BYTE),
  LAST_UPDATE_DATE           DATE,
  LAST_UPDATED_BY            NUMBER(15),
  LAST_UPDATE_LOGIN          NUMBER(15),
  CREATED_BY                 NUMBER(15),
  CREATION_DATE              DATE,
  ENTERED_BY                 NUMBER(15)         NOT NULL,
  TP_HEADER_ID               NUMBER,
  ECE_TP_LOCATION_CODE       VARCHAR2(35 BYTE),
  OBJECT_VERSION_NUMBER      NUMBER(9),
  --GEOMETRY                   MDSYS.SDO_GEOMETRY,
  LOC_INFORMATION18          VARCHAR2(150 BYTE),
  LOC_INFORMATION19          VARCHAR2(150 BYTE),
  LOC_INFORMATION20          VARCHAR2(150 BYTE),
  DERIVED_LOCALE             VARCHAR2(240 BYTE),
  LOCATION_ID_N              NUMBER(15)
);
